Package org.apache.tools.ant.attribute

## Class IfBlankAttribute

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.attribute.BaseIfAttribute
    - - org.apache.tools.ant.attribute.IfBlankAttribute

All Implemented Interfaces:
  `java.lang.Cloneable`, `EnableAttribute`

Direct Known Subclasses:
  `IfBlankAttribute.Unless`

    public class IfBlankAttribute
    extends BaseIfAttribute

Check if an attribute is blank or not.

Since:
  Ant 1.9.1

### Nested Class Summary

Nested Classes
`static class` `IfBlankAttribute.Unless` The unless version

### Field Summary

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
`IfBlankAttribute()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isEnabled​(UnknownElement el, java.lang.String value)` check if the attribute value is blank or not is enabled.

### Methods inherited from class org.apache.tools.ant.attribute.BaseIfAttribute

`convertResult, getParams, isPositive, setPositive`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IfBlankAttribute

    public IfBlankAttribute()

### Method Detail

#### isEnabled

    public boolean isEnabled​(UnknownElement el,
                             java.lang.String value)

check if the attribute value is blank or not is enabled.

Parameters:
  `el` - the unknown element this attribute is in.
  `value` - the value of the attribute.
Returns:
  true if the attribute enables the element, false otherwise.